declare const _default: import("vue/types/v3-define-component").DefineComponent<{
    iconBackground: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    type: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
}, import("vue").Data, import("vue").Data, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    iconBackground: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
    type: {
        type: StringConstructor;
        default: string;
        validator(value: unknown): boolean;
    };
}>>, {
    type: string;
    iconBackground: string;
}>;
export default _default;
